Bug 3894 - Ошибка при старте сервиса monitorix
: Ошибка при старте сервиса monitorix
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 14:15 MSD by Eugene Shatokhin
Modified: 2014-04-17 13:35 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
kuzma.kazygashev: secteam_verified+
alex.burmashev: published+


Attachments
Соотв. часть системного журнала (42.45 KB, text/plain)
2014-03-31 14:15 MSD, Eugene Shatokhin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-03-31 14:15:51 MSD
Created attachment 2745 [details]
Соотв. часть системного журнала

Пакет: monitorix-2.5.2-1.noarch

systemctl start monitorix.service отработала с ошибкой.

Статус:
--------------------
Job for monitorix.service failed. See 'systemctl status monitorix.service' and 'journalctl -xn' for details.
monitorix.service - Monitorix monitoring daemon
   Loaded: loaded (/lib/systemd/system/monitorix.service; enabled)
   Active: failed (Result: exit-code) since Пн. 2014-03-31 01:25:25 MSK; 10ms ago
  Process: 8506 ExecStart=/usr/bin/monitorix -c $OPTIONS --pid-file /run/monitorix.pid (code=exited, status=2)

марта 31 01:25:25 vm monitorix[8506]: can't open file /--pid-file.
марта 31 01:25:25 vm systemd[1]: monitorix.service: control process exited, code=exited status=2
марта 31 01:25:25 vm systemd[1]: Failed to start Monitorix monitoring daemon.
марта 31 01:25:25 vm systemd[1]: Unit monitorix.service entered failed state.
--------------------
Comment 1 Denis Silakov 2014-04-09 14:14:21 MSD
Advisory:

Updated monitorix to 3.5.0, fixed service startup.

Now you should be able to launch "systemctl start monitorix", got to localhost:8080/monitorix and enjoy the logs.

Build lists:
https://abf.io/build_lists/1767095
https://abf.io/build_lists/1767105
Comment 2 Alexander Petryakov 2014-04-10 09:45:15 MSD
I guess the monitorix should be autostarted after reboot 
 systemctl list-unit-files | grep monitorix
monitorix.service                           disabled
Comment 3 Denis Silakov 2014-04-10 11:06:49 MSD
Agree. Here are the new build lists with monitorix service enabled after install:

https://abf.io/build_lists/1786884
https://abf.io/build_lists/1786885
Comment 4 Alexander Petryakov 2014-04-11 12:30:13 MSD
Deinstall package have error:
urpme monitorix
удаляется monitorix-3.5.0-3-rosa2012.1.noarch
Подготовка...                    #############################################
ошибка чтения информации о сервисе monitorix: Нет такого файла или каталога
удаляется пакет monitorix-3.5.0-3.noarch
Comment 5 Denis Silakov 2014-04-15 11:04:40 MSD
One more attempt:

https://abf.io/build_lists/1792536
https://abf.io/build_lists/1792537
Comment 6 Alexander Petryakov 2014-04-17 03:38:27 MSD
monitorix-3.5.0-4
https://abf.io/build_lists/1786884
https://abf.io/build_lists/1786885

************** Advisory **************
Updated monitorix to 3.5.0, fixed service startup.
**************************************
QA Verified
Comment 7 Alexander Petryakov 2014-04-17 10:45:41 MSD
monitorix-3.5.0-4
https://abf.io/build_lists/1792536
https://abf.io/build_lists/1792537

************** Advisory **************
Updated monitorix to 3.5.0, fixed service startup.
**************************************
QA Verified